Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMaskPolyData Class Reference

`#include <vtkMaskPolyData.h>`

Inheritance diagram for vtkMaskPolyData:

[legend]
Collaboration diagram for vtkMaskPolyData:

[legend]
List of all members.

## Detailed Description

sample subset of input polygonal data

Date:
  2002/01/22 15:29:29

Revision:
  1.37

vtkMaskPolyData is a filter that sub-samples input polygonal data. The user specifies every nth item, with an initial offset to begin sampling.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (76%)
  - Martin, Ken (11%)
  - Henderson, Amy (6%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkMaskPolyData.h)`
  - .`cxx` (`/Graphics/vtkMaskPolyData.cxx)`

Tests:
  vtkMaskPolyData (Tests)

Definition at line 46 of file vtkMaskPolyData.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetOnRatio (int)
virtual int | GetOnRatio ()
virtual void | SetOffset (vtkIdType)
virtual vtkIdType | GetOffset ()
## Static Public Methods
vtkMaskPolyData * | New ()
int | IsTypeOf (const char *type)
vtkMaskPolyData * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMaskPolyData ()
| ~vtkMaskPolyData ()
void | Execute ()
## Protected Attributes
int | OnRatio
vtkIdType | Offset

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkMaskPolyData::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 50 of file vtkMaskPolyData.h.

## Constructor & Destructor Documentation

vtkMaskPolyData::vtkMaskPolyData | ( |  | ) | `[protected]`

vtkMaskPolyData::~vtkMaskPolyData | ( |  | ) | `[inline, protected]`

| Definition at line 67 of file vtkMaskPolyData.h.

## Member Function Documentation

vtkMaskPolyData* vtkMaskPolyData::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkMaskPolyData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkMaskPolyData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkMaskPolyData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkMaskPolyData* vtkMaskPolyData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkMaskPolyData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual void vtkMaskPolyData::SetOnRatio | ( | int |  | ) | `[virtual]`

| Turn on every nth entity (cell).

virtual int vtkMaskPolyData::GetOnRatio | ( |  | ) | `[virtual]`

| Turn on every nth entity (cell).

virtual void vtkMaskPolyData::SetOffset | ( | vtkIdType |  | ) | `[virtual]`

| Start with this entity (cell).

virtual vtkIdType vtkMaskPolyData::GetOffset | ( |  | ) | `[virtual]`

| Start with this entity (cell).

void vtkMaskPolyData::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkMaskPolyData::OnRatio`[protected]`

| Definition at line 70 of file vtkMaskPolyData.h.

vtkIdType vtkMaskPolyData::Offset`[protected]`

| Definition at line 71 of file vtkMaskPolyData.h.

The documentation for this class was generated from the following file:

- Graphics/vtkMaskPolyData.h